SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000648SiT!outbound emailpublic2009-04-16 16:412009-08-16 14:39
Reporternicdev 
Assigned Toivan 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionreopened 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000648: Accented characters in the email subject get stripped away
DescriptionWhen we send an email from the incident page, and there are accented characters (such as é) in the "subject" field the accented characters get stripped from the outgoing email, and the mail arrives with an almost unreadable subject.
TagsNo tags attached.
Attached Filespng file icon email.png [^] (56,245 bytes) 2009-07-03 19:48


png file icon update.png [^] (106,570 bytes) 2009-07-03 19:49

- Relationships
related to 0000801closed clients receive bad email title in russian 

-  Notes
User avatar (0000920)
ivan (administrator)
2009-04-16 17:26

I can confirm this, encoding non-ascii chars in subject (and in other headers for that matter) isn't attempted at the moment.
User avatar (0001067)
ivan (administrator)
2009-05-15 15:01

I did quite a bit of work on this and I'm not sure which commit actually fixed it but I've confirmed it's resolved in svn prior to r5378 in trunk
User avatar (0001231)
nicdev (developer)
2009-06-19 08:13

I still have this issue and i even tested it with 3.5b1. As soon as i have an accented character in the subject line of the mail, then it fails.
User avatar (0001232)
nicdev (developer)
2009-06-19 08:15

In fact Ivan, the problem is that i get the MySQL error, and then the mail does not send at all... even though it appears in the "Details" screen, the sending is not completed....
User avatar (0001261)
paulh (administrator)
2009-07-03 19:45

This is still an issue, just tried with the following:

[1] - test ??????? ???? æ, ø, å, Æ, Ø, Å # ?? / ??? é, à, è, ê, î, ç

In SIT

Subject: [1] - test ??????? ???? æ, ø, å, Æ, Ø, Å # ?? / ??? é, à, è, ê, î, ç
Hi John,

[1] - test ??????? ???? æ, ø, å, Æ, Ø, Å # ?? / ??? é, à, è, ê, î, ç


so reliable the same problem in Subject and update



In the email I got

Subject: [1] - test Русский язык æ, ø, å, Æ, Ø, Å # 古文 / 文言文 é, à, è, ê, î, ç
From: test-sit@pheaney.co.uk
Reply-To: test-sit@pheaney.co.uk
Errors-To: sit-admin@pheaney.co.uk
X-Mailer: phdev v3.50 beta2/PHP 5.2.10-1
X-Originating-IP: ::1
MIME-Version: 1.0
Content-Type: multipart/mixed;
    boundary="PMR------adf8b47a3cf1d954cbdfc3c5a1f29e29"
Content-Transfer-Encoding: 7bit
Message-Id: <E1MMnh3-0001iR-33@uist.home.pheaney.co.uk>
Date: Fri, 03 Jul 2009 19:41:05 +0100

This is a MIME encoded message


--PMR------adf8b47a3cf1d954cbdfc3c5a1f29e29
Content-Type: text/plain; charset=UTF-8;
    charset=UTF-8
Content-Transfer-Encoding: base64
Content-Disposition: inline

SGkgSm9obiwNCg0KWzFdIC0gdGVzdCDQoNGD0YHRgdC60LjQuSDRj9C30YvQuiDDpiwgw7gsIMOl
LCDDhiwgw5gsIMOFICMg5Y+k5paHIC8g5paH6KiA5paHICDDqSwgw6AsIMOoLCDDqiwgw64sIMOn
DQoNClJlZ2FyZHMsDQoNClNpVCBBZG1pbmlzdHJhdG9yDQotLQ0KLi4uIFBvd2VyZWQgYnkgT3Bl
biBTb3VyY2UgU29mdHdhcmU6IFN1cHBvcnQgSW5jaWRlbnQgVHJhY2tlciAoU2lUISkgaXMgYXZh
aWxhYmxlIGZyZWUgZnJvbSBodHRwOi8vc2l0cmFja2VyLnNvdXJjZWZvcmdlLm5ldC8=


--PMR------adf8b47a3cf1d954cbdfc3c5a1f29e29--



Which had the following the body

[1] - test ??????? ???? æ, ø, å, Æ, Ø, Å # ?? / ??? é, à, è, ê, î, ç


though the subject is screwed up
User avatar (0001262)
paulh (administrator)
2009-07-03 19:50

Seems Mantis has the same problem, see email.png and update.png
User avatar (0001286)
ivan (administrator)
2009-07-11 13:50

Trunk svn r5505 encodes the email subject so as to preserve these characters. Could use some testing with various clients and characters.
User avatar (0001471)
nicdev (developer)
2009-07-30 09:41

Hi Ivan,

Sorry to reopen this but i have just made the changes you made in svn r5505, and now it fails immediately when clicking "send", i get no message to say the mail has failed/succeeded, and i get a blank window..

There are no messages in the sit log, and i could not find exactly where it fails...

Maybe i need to update another include as i am running 3.45, and r5505 was much later .. any suggestions?
User avatar (0001473)
ivan (administrator)
2009-07-30 10:24

Hi, Please wait for 3.50 RC1 to test this, it should be released any day now, perhaps even today if we can resolve the remaining few issues. I can't say whether patching 3.50 is going to be successful tbh, it's not something thats easy to determine. Judging by your experience I'm guessing it's not simple. I have done quite a lot of testing against this bug now and I'm pretty confident it's fixed for 3.50.
User avatar (0001701)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-04-16 16:41 nicdev New Issue
2009-04-16 17:26 ivan Note Added: 0000920
2009-04-16 17:26 ivan Assigned To => ivan
2009-04-16 17:26 ivan Reproducibility have not tried => always
2009-04-16 17:26 ivan Status new => assigned
2009-04-16 17:26 ivan Target Version => 3.50
2009-05-15 15:01 ivan Note Added: 0001067
2009-05-15 15:01 ivan Status assigned => resolved
2009-05-15 15:01 ivan Resolution open => fixed
2009-05-15 15:01 ivan Fixed in Version => Current SVN
2009-06-19 08:13 nicdev Note Added: 0001231
2009-06-19 08:13 nicdev Status resolved => feedback
2009-06-19 08:13 nicdev Resolution fixed => reopened
2009-06-19 08:15 nicdev Note Added: 0001232
2009-06-19 10:08 ivan Status feedback => assigned
2009-07-03 19:45 paulh Note Added: 0001261
2009-07-03 19:48 paulh File Added: email.png
2009-07-03 19:49 paulh File Added: update.png
2009-07-03 19:50 paulh Note Added: 0001262
2009-07-11 13:50 ivan Note Added: 0001286
2009-07-11 13:50 ivan Status assigned => resolved
2009-07-11 13:50 ivan Resolution reopened => fixed
2009-07-24 13:14 ivan Relationship added related to 0000801
2009-07-30 09:41 nicdev Note Added: 0001471
2009-07-30 09:41 nicdev Status resolved => feedback
2009-07-30 09:41 nicdev Resolution fixed => reopened
2009-07-30 10:24 ivan Note Added: 0001473
2009-07-30 10:24 ivan Status feedback => closed
2009-07-30 10:25 ivan Status closed => resolved
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001701
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker